import java.util.Comparator;

public class IDComparator implements Comparator<Person> {
	@Override
	public int compare(Person p1, Person p2) {
		if (p1 instanceof Student) {
			if (p2 instanceof Student) { // p1 & p2 are Student
				return ((Student)p1).id - ((Student)p2).id; //ascending order
			}
			else { // p1 is Student & p2 is Person, then move p1 Student back
				return 1; 
			}
		}
		else { 
			if (p2 instanceof Student) { // p1 is Person & p2 is Student, then stay there	
   				return -1; 	
			}
			else { // p1 & p2 are Person
				return 0;
			}
		}
   	}
}
